## ayatana-indicator-power 2.0.91

=== CMakeLists.txt ===
project(ayatana-indicator-power C CXX)
cmake_minimum_required(VERSION 2.8.9)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set(PROJECT_VERSION "2.0.91")
set(PACKAGE ${CMAKE_PROJECT_NAME})
set(GETTEXT_PACKAGE "ayatana-indicator-power")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
                 -DGNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

option (enable_tests "Build the package's automatic tests." ON)
option (enable_lcov "Generate lcov code coverage reports." ON)

##
##  GNU standard installation directories
## 

include (GNUInstallDirs)
if (EXISTS "/etc/debian_version") # Workaround for libexecdir on debian
  set (CMAKE_INSTALL_LIBEXECDIR "${CMAKE_INSTALL_LIBDIR}")
  set (CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
endif ()
set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

pkg_check_modules(SERVICE_DEPS REQUIRED
                  glib-2.0>=2.36
                  gio-2.0>=2.36
                  gio-unix-2.0>=2.36
                  gudev-1.0>=204
                  libnotify>=0.7.6)

include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (clean-coverage
                   COMMAND find ${CMAKE_BINARY_DIR} -name '*.gcda' | xargs rm -f)

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

##
##  Actual building
##

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Weverything")
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-c++98-compat -Wno-padded") # these are annoying
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-documentation") # gtk-doc != doxygen
else()
  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall -Wextra -Wpedantic -Wformat=2")
endif()
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-missing-field-initializers") # GActionEntry


include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# testing & coverage
if (${enable_tests})
  set (GTEST_SOURCE_DIR /usr/src/gtest/src)
  set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
  set (GTEST_LIBS -lpthread)
  enable_testing ()
  if (${enable_lcov})
    include(GCov)
  endif ()
endif ()

# actually build things
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
if (${enable_tests})
  add_subdirectory(tests)
endif ()

=== data/CMakeLists.txt ===
##
##  GSettings schema
##

include (UseGSettings)
set (SCHEMA_NAME "org.ayatana.indicator.power.gschema.xml")
set (SCHEMA_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
set (SCHEMA_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in")

# generate the .xml file using intltool
set (ENV{LC_ALL} "C")
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_FILE})

##
##  Systemd Unit File
##

# where to install
# Uncomment when we drop Vivid
# pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
set (SYSTEMD_USER_DIR "/usr/lib/systemd/user")
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

# install it
install (FILES "${SYSTEMD_USER_FILE}"
         DESTINATION "${SYSTEMD_USER_DIR}")

##
##  Upstart systemd override Job File
##

set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.override"
         DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")

##
##  Upstart Job File
##

# where to install
set (UPSTART_JOB_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/sessions")
message (STATUS "${UPSTART_JOB_DIR} is the Upstart Job File install dir")

set (UPSTART_JOB_NAME "${CMAKE_PROJECT_NAME}.conf")
set (UPSTART_JOB_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_JOB_NAME}")
set (UPSTART_JOB_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_JOB_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${UPSTART_JOB_FILE_IN}" "${UPSTART_JOB_FILE}")

# install it
install (FILES "${UPSTART_JOB_FILE}"
         DESTINATION "${UPSTART_JOB_DIR}")

##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##  Unity Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Unity Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.power")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")

=== src/CMakeLists.txt ===
set (SERVICE_LIB "ayatanaindicatorpowerservice")
set (SERVICE_EXEC "ayatana-indicator-power-service")

add_definitions(-DG_LOG_DOMAIN="Ayatana-Indicator-Power")

# handwritten sources
set(SERVICE_MANUAL_SOURCES
    brightness.c
    device-provider-mock.c
    device-provider-upower.c
    device-provider.c
    device.c
    notifier.c
    testing.c
    service.c)

# generated sources
include(GdbusCodegen)
set(SERVICE_GENERATED_SOURCES)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-powerd
                                 org.ayatana
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/src/org.ayatana.powerd.xml)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-battery
                                 org.ayatana.indicator.power
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.power.Battery.xml)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-testing
                                 org.ayatana.indicator.power
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.power.Testing.xml)
# add the bin dir to our include path so the code can find the generated header files
include_directories(${CMAKE_CURRENT_BINARY_DIR})


# add warnings/coverage info on handwritten files
# but not the autogenerated ones...
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-bad-function-cast") # g_clear_object()
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-used-but-marked-unused") # G_ADD_PRIVATE
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-disabled-macro-expansion") # G_DEFINE_TYPE
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-assign-enum") # GParamFlags
set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-switch-enum")
set_source_files_properties(${SERVICE_MANUAL_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c99")

# the service library for tests to link against (basically, everything except main())
add_library(${SERVICE_LIB} STATIC ${SERVICE_MANUAL_SOURCES} ${SERVICE_GENERATED_SOURCES})
include_directories(${CMAKE_SOURCE_DIR})
link_directories(${SERVICE_DEPS_LIBRARY_DIRS})

# the executable: lib + main()
add_executable (${SERVICE_EXEC} main.c)
set_source_files_properties(${SERVICE_SOURCES} main.c PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -g -std=c99")
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== tests/CMakeLists.txt ===
# build libgtest
add_library (gtest STATIC 
             ${GTEST_SOURCE_DIR}/gtest-all.cc 
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES ${INCLUDE_DIRECTORIES} ${GTEST_INCLUDE_DIR})
set_target_properties (gtest PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} -w)

# dbustest
pkg_check_modules(DBUSTEST REQUIRED
                  dbustest-1>=14.04.0)
include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})

# add warnings
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -g ${C_WARNING_ARGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-weak-vtables -Wno-global-constructors") # Google Test

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the ayatana-indicator-power schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.power.gschema.xml
                    COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})

###
###

function(add_test_by_name name)
  set (TEST_NAME ${name})
  add_executable (${TEST_NAME} ${TEST_NAME}.cc gschemas.compiled)
  add_test (${TEST_NAME} ${TEST_NAME})
  add_dependencies (${TEST_NAME} libayatanaindicatorpowerservice)
  target_link_libraries (${TEST_NAME} ayatanaindicatorpowerservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
endfunction()
add_test_by_name(test-notify)
add_test(NAME dear-reader-the-next-test-takes-80-seconds COMMAND true)
add_test_by_name(test-device)

=== debian/changelog ===
ayatana-indicator-power (2.0.91-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 05 Jan 2018 00:51:32 +0100

ayatana-indicator-power (2.0.91-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/patches:
    + Add 0001-systemd-unit-file-Only-build-install-if-systemd-is-a.patch.
      Only build+install systemd unit file if systemd is available at
      build-time.
  * debian/control:
    + Mark B-Ds libgudev-1.0-dev and systemd as available on linux-any.
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/{control,copyright,watch}:
    + Update to new upstream URL.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Oct 2017 21:52:22 +0200

ayatana-indicator-power (2.0.91-1) experimental; urgency=medium

  * Initial upload to Debian. (Closes: #864394).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Jun 2017 00:38:33 +0200

=== debian/control ===
Source: ayatana-indicator-power
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
               libgudev-1.0-dev [linux-any],
               python:any,
# for packaging
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for tests
               libgtest-dev,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/ayatana-indicator-power.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/ayatana-indicator-power.git

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         upower,
Recommends: unity-control-center | gnome-control-center (>= 3.1) | ubuntu-system-settings | switchboard-plug-power | xfce4-power-manager | mate-power-manager,
            mate-indicator-applet | xfce4-indicator-plugin,
Suggests: powerd,
          unity-system-compositor (>= 0.0.4),
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_install:
	find debian/ayatana-indicator-power -name \*.la -delete
	find debian/ayatana-indicator-power -name \*.a -delete
	dh_install --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://releases.ayatana-indicators.org/source/ayatana-indicator-power/ayatana-indicator-power-(.+)\.tar\.gz

## ayatana-indicator-power 2.0.92

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,8 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "2.0.91")
+set(PROJECT_VERSION "2.0.92")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(GETTEXT_PACKAGE "ayatana-indicator-power")
-add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
-                 -DGNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
 
 option (enable_tests "Build the package's automatic tests." ON)
 option (enable_lcov "Generate lcov code coverage reports." ON)
@@ -23,6 +20,14 @@
 endif ()
 set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
+
+##
+## Gettext
+##
+
+set(GETTEXT_PACKAGE "ayatana-indicator-power")
+add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
+                 -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
 
 ##
 ##  Check for prerequisites

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -18,33 +18,33 @@
 ##  Systemd Unit File
 ##
 
-# where to install
-# Uncomment when we drop Vivid
-# pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
-set (SYSTEMD_USER_DIR "/usr/lib/systemd/user")
-message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")
+pkg_check_modules(SYSTEMD systemd)
+if (${SYSTEMD_FOUND})
+    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
+    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")
 
-set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
-set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
-set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
+    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
+    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
+    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
 
-# build it
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
-configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
+    # build it
+    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
+    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
 
-# install it
-install (FILES "${SYSTEMD_USER_FILE}"
-         DESTINATION "${SYSTEMD_USER_DIR}")
+    # install it
+    install (FILES "${SYSTEMD_USER_FILE}"
+             DESTINATION "${SYSTEMD_USER_DIR}")
 
-##
-##  Upstart systemd override Job File
-##
+    ##
+    ##  Upstart systemd override Job File
+    ##
 
-set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
-message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")
+    set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
+    message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")
 
-install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.override"
-         DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")
+    install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.override"
+             DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")
+endif()
 
 ##
 ##  Upstart Job File
@@ -86,12 +86,12 @@
 install (FILES "${XDG_AUTOSTART_FILE}"
          DESTINATION "${XDG_AUTOSTART_DIR}")
 
-##  Unity Indicator File
+##  Ayatana Indicators File
 ##
 
 # where to install
 set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
-message (STATUS "${AYATANA_INDICATOR_DIR} is the Unity Indicator install dir")
+message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicators install dir")
 
 set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.power")
 set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set (SERVICE_LIB "ayatanaindicatorpowerservice")
 set (SERVICE_EXEC "ayatana-indicator-power-service")
 
-add_definitions(-DG_LOG_DOMAIN="Ayatana-Indicator-Power")
+add_definitions(-DG_LOG_DOMAIN="ayatana-indicator-power")
 
 # handwritten sources
 set(SERVICE_MANUAL_SOURCES
@@ -18,9 +18,9 @@
 include(GdbusCodegen)
 set(SERVICE_GENERATED_SOURCES)
 add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-powerd
-                                 org.ayatana
+                                 com.canonical
                                  Dbus
-                                 ${CMAKE_SOURCE_DIR}/src/org.ayatana.powerd.xml)
+                                 ${CMAKE_SOURCE_DIR}/src/com.canonical.powerd.xml)
 add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-battery
                                  org.ayatana.indicator.power
                                  Dbus

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
   set (TEST_NAME ${name})
   add_executable (${TEST_NAME} ${TEST_NAME}.cc gschemas.compiled)
   add_test (${TEST_NAME} ${TEST_NAME})
-  add_dependencies (${TEST_NAME} libayatanaindicatorpowerservice)
+  add_dependencies (${TEST_NAME} ayatanaindicatorpowerservice)
   target_link_libraries (${TEST_NAME} ayatanaindicatorpowerservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
 endfunction()
 add_test_by_name(test-notify)

=== debian/changelog ===
ayatana-indicator-power (2.0.92-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-systemd-unit-file-Only-build-install-if-systemd-is-a.patch.
      Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/copyright:
    + Use secure URI for copyright format reference.
    + Update copyright attributions.
    + Update auto-generated copyright.in reference template.
  * debian/watch:
    + Use secure URL to obtain upstream sources.
  * debian/{control,compat}:
    + Bump DH compat level to 11.
  * debian/rules:
    + Migrate from dh_install --fail-missing to dh_missing --fail-missing.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Feb 2018 21:18:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libgudev-1.0-dev [linux-any],
                python:any,
 # for packaging
-               debhelper (>= 9),
+               debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
                intltool,
 # for tests
@@ -20,7 +20,7 @@
                libdbustest1-dev,
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://anonscm.debian.org/git/pkg-ayatana/ayatana-indicator-power.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-ayatana/ayatana-indicator-power.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,10 @@
 override_dh_install:
 	find debian/ayatana-indicator-power -name \*.la -delete
 	find debian/ayatana-indicator-power -name \*.a -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-power 2.0.93

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,8 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "2.0.92")
+set(PROJECT_VERSION "2.0.93")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-
-option (enable_tests "Build the package's automatic tests." ON)
-option (enable_lcov "Generate lcov code coverage reports." ON)
 
 ##
 ##  GNU standard installation directories
@@ -41,10 +38,16 @@
                   glib-2.0>=2.36
                   gio-2.0>=2.36
                   gio-unix-2.0>=2.36
-                  gudev-1.0>=204
                   libnotify>=0.7.6)
 
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})
+
+set(URL_DISPATCHER_1_REQUIRED_VERSION 1)
+pkg_check_modules(
+  URLDISPATCHER
+  url-dispatcher-1>=${URL_DISPATCHER_1_REQUIRED_VERSION}
+)
+include_directories(${URLDISPATCHER_INCLUDE_DIRS})
 
 ##
 ##  custom targets
@@ -54,9 +57,6 @@
 add_custom_target (dist
                    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
-
-add_custom_target (clean-coverage
-                   COMMAND find ${CMAKE_BINARY_DIR} -name '*.gcda' | xargs rm -f)
 
 add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                    ${CMAKE_SOURCE_DIR}/src
@@ -79,22 +79,18 @@
 include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
 include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)
 
-# testing & coverage
-if (${enable_tests})
-  set (GTEST_SOURCE_DIR /usr/src/gtest/src)
-  set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
-  set (GTEST_LIBS -lpthread)
-  enable_testing ()
-  if (${enable_lcov})
-    include(GCov)
-  endif ()
-endif ()
-
 # actually build things
 add_subdirectory(src)
 add_subdirectory(data)
 add_subdirectory(po)
-if (${enable_tests})
-  add_subdirectory(tests)
-endif ()
 
+
+# testing & coverage
+enable_testing ()
+add_subdirectory(tests)
+find_package(CoverageReport)
+ENABLE_COVERAGE_REPORT(
+  TARGETS ${SERVICE_LIB} ${SERVICE_EXEC}
+  TESTS ${COVERAGE_TEST_TARGETS}
+  FILTER /usr/include ${CMAKE_BINARY_DIR}/*
+)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,10 @@
 set (SERVICE_EXEC "ayatana-indicator-power-service")
 
 add_definitions(-DG_LOG_DOMAIN="ayatana-indicator-power")
+
+if(URLDISPATCHER_FOUND)
+    add_definitions( -DHAS_URLDISPATCHER )
+endif()
 
 # handwritten sources
 set(SERVICE_MANUAL_SOURCES
@@ -12,7 +16,8 @@
     device.c
     notifier.c
     testing.c
-    service.c)
+    service.c
+    utils.c)
 
 # generated sources
 include(GdbusCodegen)
@@ -41,7 +46,7 @@
 set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-assign-enum") # GParamFlags
 set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-switch-enum")
 set_source_files_properties(${SERVICE_MANUAL_SOURCES}
-                            PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c99")
+                            PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -g -std=c99")
 
 # the service library for tests to link against (basically, everything except main())
 add_library(${SERVICE_LIB} STATIC ${SERVICE_MANUAL_SOURCES} ${SERVICE_GENERATED_SOURCES})
@@ -50,6 +55,6 @@
 
 # the executable: lib + main()
 add_executable (${SERVICE_EXEC} main.c)
-set_source_files_properties(${SERVICE_SOURCES} main.c PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -g -std=c99")
-target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS})
+set_source_files_properties(${SERVICE_SOURCES} main.c PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -std=c99")
+target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${URLDISPATCHER_LIBRARIES})
 install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,5 @@
-# build libgtest
-add_library (gtest STATIC 
-             ${GTEST_SOURCE_DIR}/gtest-all.cc 
-             ${GTEST_SOURCE_DIR}/gtest_main.cc)
-set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES ${INCLUDE_DIRECTORIES} ${GTEST_INCLUDE_DIR})
-set_target_properties (gtest PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} -w)
+find_package(GMock)
+include_directories(${GMOCK_INCLUDE_DIRS})
 
 # dbustest
 pkg_check_modules(DBUSTEST REQUIRED
@@ -11,7 +7,7 @@
 include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})
 
 # add warnings
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -g ${C_WARNING_ARGS}")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${C_WARNING_ARGS}")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-weak-vtables -Wno-global-constructors") # Google Test
 
 # build the necessary schemas
@@ -32,6 +28,10 @@
                     COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                     COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})
 
+add_custom_target(
+    gschemas-compiled ALL DEPENDS gschemas.compiled
+)
+
 # look for headers in our src dir, and also in the directories where we autogenerate files...
 include_directories (${CMAKE_SOURCE_DIR}/src)
 include_directories (${CMAKE_BINARY_DIR}/src)
@@ -42,11 +42,17 @@
 
 function(add_test_by_name name)
   set (TEST_NAME ${name})
-  add_executable (${TEST_NAME} ${TEST_NAME}.cc gschemas.compiled)
+  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
+  add_executable (${TEST_NAME} ${TEST_NAME}.cc)
   add_test (${TEST_NAME} ${TEST_NAME})
-  add_dependencies (${TEST_NAME} ayatanaindicatorpowerservice)
-  target_link_libraries (${TEST_NAME} ayatanaindicatorpowerservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
+  add_dependencies (${TEST_NAME} ayatanaindicatorpowerservice gschemas-compiled)
+  target_link_libraries (${TEST_NAME} ayatanaindicatorpowerservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS} ${URLDISPATCHER_LIBRARIES} ${GMOCK_LIBRARIES})
 endfunction()
 add_test_by_name(test-notify)
 add_test(NAME dear-reader-the-next-test-takes-80-seconds COMMAND true)
 add_test_by_name(test-device)
+
+set(COVERAGE_TEST_TARGETS
+  ${COVERAGE_TEST_TARGETS}
+  PARENT_SCOPE
+)

=== debian/changelog ===
ayatana-indicator-power (2.0.93-3) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Re-arrange Recommends: field. Move power related tools to a separate line,
      add R gnome-power-statistics. (Closes: #895479).
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Aug 2018 22:42:38 +0200

ayatana-indicator-power (2.0.93-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_enum-in-gschemas-unique.patch. Allow simultaneous installation of
      ayatana-indicator-power and indicator-power.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Mar 2018 15:18:11 +0100

ayatana-indicator-power (2.0.93-1) unstable; urgency=medium

  * New upstream release.
    - Fix dependency issue in unit tests. (Closes: #892091, #878093).
    - Drop unused requirement for gudev-1.0.
  * debian/control:
    + Drop from B-D: libgudev-1.0-dev. Not required any more. (Closes: #878094).
  * debian/rules:
    + Use more condensed NEWS file as upstream changelog.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 16 Mar 2018 16:13:01 +0100

=== debian/control ===
Source: ayatana-indicator-power
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
               python:any,
# for packaging
               debhelper (>= 11~),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for tests
               libgtest-dev,
               googletest | google-mock,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.2.0
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         upower,
Recommends: unity-control-center | gnome-control-center (>= 3.1) | ubuntu-system-settings,
            switchboard-plug-power | xfce4-power-manager | mate-power-manager | gnome-power-statistics,
            mate-indicator-applet | xfce4-indicator-plugin,
            zenity,
Suggests: powerd,
          unity-system-compositor (>= 0.0.4),
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.

## ayatana-indicator-power 2.0.94

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "2.0.93")
+set(PROJECT_VERSION "2.0.94")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 ##

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
     device-provider-upower.c
     device-provider.c
     device.c
+    flashlight.c
     notifier.c
     testing.c
     service.c

=== debian/changelog ===
ayatana-indicator-power (2.0.94-2) unstable; urgency=medium

  * debian/control:
    + Drop from B-D: python:any. (Closes: #936175). In fact, a totally
      superfluous B-D.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Nov 2019 20:50:35 +0100

ayatana-indicator-power (2.0.94-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Downgrade from R to S (ayatana-indicator-power): all control-center
      and power-manager relations. They pull in by far too many other
      packages.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 21 Nov 2019 11:29:37 +0100

ayatana-indicator-power (2.0.93-4) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
    + Drop from R (ayatana-indicator-power): gnome-control-center.
      Not supporting Ayatana System Indicators anymore.
    + Add to R (ayatana-indicator-power): mate-control-center.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 20 Nov 2019 15:37:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                lcov,
                libnotify-dev (>= 0.7.6),
                libglib2.0-dev (>= 2.36),
-               python:any,
 # for packaging
                debhelper (>= 11~),
                dpkg-dev (>= 1.16.1.1),
@@ -23,7 +22,8 @@
                libdbustest1-dev,
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-power
@@ -34,12 +34,12 @@
          ${misc:Depends},
          ayatana-indicator-common,
          upower,
-Recommends: unity-control-center | gnome-control-center (>= 3.1) | ubuntu-system-settings,
-            switchboard-plug-power | xfce4-power-manager | mate-power-manager | gnome-power-statistics,
-            mate-indicator-applet | xfce4-indicator-plugin,
+Recommends: mate-indicator-applet | xfce4-indicator-plugin,
             zenity,
 Suggests: powerd,
           unity-system-compositor (>= 0.0.4),
+          unity-control-center | mate-control-center | ubuntu-system-settings,
+          switchboard-plug-power | xfce4-power-manager | mate-power-manager,
 Description: Ayatana Indicator showing power state
  This Ayatana Indicator displays current power management information and
  gives the user a way to access power management preferences.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-power/ayatana-indicator-power-(.+)\.tar\.gz

## ayatana-indicator-power 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,16 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "2.0.94")
+set(PROJECT_VERSION "2.1.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
+
+option (enable_tests "Build the package's automatic tests." ON)
 
 ##
 ##  GNU standard installation directories
 ## 
 
 include (GNUInstallDirs)
-if (EXISTS "/etc/debian_version") # Workaround for libexecdir on debian
-  set (CMAKE_INSTALL_LIBEXECDIR "${CMAKE_INSTALL_LIBDIR}")
-  set (CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
-endif ()
 set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
 
@@ -86,11 +84,13 @@
 
 
 # testing & coverage
-enable_testing ()
-add_subdirectory(tests)
-find_package(CoverageReport)
-ENABLE_COVERAGE_REPORT(
-  TARGETS ${SERVICE_LIB} ${SERVICE_EXEC}
-  TESTS ${COVERAGE_TEST_TARGETS}
-  FILTER /usr/include ${CMAKE_BINARY_DIR}/*
-)
+if (${enable_tests})
+    enable_testing ()
+    add_subdirectory(tests)
+    find_package(CoverageReport)
+    ENABLE_COVERAGE_REPORT(
+        TARGETS ${SERVICE_LIB} ${SERVICE_EXEC}
+        TESTS ${COVERAGE_TEST_TARGETS}
+        FILTER /usr/include ${CMAKE_BINARY_DIR}/*
+    )
+endif ()

=== debian/changelog ===
ayatana-indicator-power (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Versioned D on ayatana-indicator-common (>= 0.8.0).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 09:37:02 +0200

ayatana-indicator-power (2.0.95-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Jul 2020 13:55:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ayatana-indicator-power
-Section: gnome
+Section: misc
 Priority: optional
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
@@ -11,7 +11,7 @@
                libnotify-dev (>= 0.7.6),
                libglib2.0-dev (>= 2.36),
 # for packaging
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                intltool,
 # for tests
@@ -22,7 +22,7 @@
                libdbustest1-dev,
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
@@ -32,7 +32,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ayatana-indicator-common,
+         ayatana-indicator-common (>= 0.8.0),
          upower,
 Recommends: mate-indicator-applet | xfce4-indicator-plugin,
             zenity,

## ayatana-indicator-power 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "2.1.0")
+set(PROJECT_VERSION "2.1.1")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 option (enable_tests "Build the package's automatic tests." ON)
 
 ##
 ##  GNU standard installation directories
-## 
+##
 
 include (GNUInstallDirs)
 set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
@@ -69,7 +69,7 @@
   set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-c++98-compat -Wno-padded") # these are annoying
   set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-documentation") # gtk-doc != doxygen
 else()
-  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall -Wextra -Wpedantic -Wformat=2")
+  set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wall -Wformat=2") # Use -Wextra and -Wpedantic explicitly if needed
 endif()
 set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-missing-field-initializers") # GActionEntry

=== debian/changelog ===
ayatana-indicator-power (2.1.1-2) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Typo fix in LONG_DESCRIPTION.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Nov 2020 15:16:13 +0100

ayatana-indicator-power (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: relation for indicator-power.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:18:46 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
-               cmake-extras (>= 0.10),
+               cmake-extras (>= 1.5-5~),
                gcovr,
                lcov,
                libnotify-dev (>= 0.7.6),
@@ -16,7 +17,8 @@
                intltool,
 # for tests
                libgtest-dev,
-               googletest | google-mock,
+               googletest,
+               pkg-config,
                python3-dbusmock,
                dbus-test-runner,
                libdbustest1-dev,
@@ -40,9 +42,15 @@
           unity-system-compositor (>= 0.0.4),
           unity-control-center | mate-control-center | ubuntu-system-settings,
           switchboard-plug-power | xfce4-power-manager | mate-power-manager,
+Breaks: indicator-power,
+Replaces: indicator-power,
 Description: Ayatana Indicator showing power state
  This Ayatana Indicator displays current power management information and
  gives the user a way to access power management preferences.
  .
  The Ayatana Indicator provides a generic, multi-desktop-env aware
  approach of accessing power information and management features.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ etc.).

## ayatana-indicator-power 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "2.1.1")
+set(PROJECT_VERSION "2.1.2")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 option (enable_tests "Build the package's automatic tests." ON)

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -34,37 +34,7 @@
     # install it
     install (FILES "${SYSTEMD_USER_FILE}"
              DESTINATION "${SYSTEMD_USER_DIR}")
-
-    ##
-    ##  Upstart systemd override Job File
-    ##
-
-    set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
-    message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")
-
-    install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.override"
-             DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")
 endif()
-
-##
-##  Upstart Job File
-##
-
-# where to install
-set (UPSTART_JOB_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/sessions")
-message (STATUS "${UPSTART_JOB_DIR} is the Upstart Job File install dir")
-
-set (UPSTART_JOB_NAME "${CMAKE_PROJECT_NAME}.conf")
-set (UPSTART_JOB_FILE "${CMAKE_CURRENT_BINARY_DIR}/${UPSTART_JOB_NAME}")
-set (UPSTART_JOB_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${UPSTART_JOB_NAME}.in")
-
-# build it
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
-configure_file ("${UPSTART_JOB_FILE_IN}" "${UPSTART_JOB_FILE}")
-
-# install it
-install (FILES "${UPSTART_JOB_FILE}"
-         DESTINATION "${UPSTART_JOB_DIR}")
 
 ##
 ##  XDG Autostart File

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -42,9 +42,6 @@
 # add warnings/coverage info on handwritten files
 # but not the autogenerated ones...
 set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-bad-function-cast") # g_clear_object()
-set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-used-but-marked-unused") # G_ADD_PRIVATE
-set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-disabled-macro-expansion") # G_DEFINE_TYPE
-set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-assign-enum") # GParamFlags
 set(C_WARNING_ARGS "${C_WARNING_ARGS} -Wno-switch-enum")
 set_source_files_properties(${SERVICE_MANUAL_SOURCES}
                             PROPERTIES COMPILE_FLAGS "${C_WARNING_ARGS} -g -std=c99")

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 
 # add warnings
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${C_WARNING_ARGS}")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-weak-vtables -Wno-global-constructors") # Google Test
 
 # build the necessary schemas
 set_directory_properties (PROPERTIES

=== debian/changelog ===
ayatana-indicator-power (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_lomiri-url-dispatcher.patch. Port to Lomiri URL Dispatcher.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Add B-D: liblomiri-url-dispatcher-dev.
    + Fix capitalization of the word 'Xfce'.
  * debian/watch:
    + Update format version to 4.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 11:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                lcov,
                libnotify-dev (>= 0.7.6),
                libglib2.0-dev (>= 2.36),
+               liblomiri-url-dispatcher-dev (>= 0.1),
 # for packaging
                debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
@@ -24,7 +25,7 @@
                libdbustest1-dev,
 # for systemd unit
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
@@ -52,5 +53,5 @@
  approach of accessing power information and management features.
  .
  Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
  etc.).

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 	find debian/ayatana-indicator-power -name \*.a -delete
 	dh_install
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
 override_dh_missing:
 	dh_missing --fail-missing
